org.eclipse.viatra.transformation.runtime.emf.transformation.batch

## Class BatchTransformation

- java.lang.Object
- - org.eclipse.viatra.transformation.runtime.emf.transformation.batch.BatchTransformation

-     public class BatchTransformation
      extends java.lang.Object

  A base class for batch transformations.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BatchTransformation.BatchTransformationBuilder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Context` | `context`
    `protected IExecutor` | `executor`
    `protected ViatraQueryEngine` | `queryEngine`
    `protected RuleEngine` | `ruleEngine`
    `protected java.util.Set<BatchTransformationRule<?,?>>` | `rules`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRule(BatchTransformationRule rule)`
    `void` | `addRules(BatchTransformationRuleGroup ruleGroup)`
    `void` | `addRules(TransformationRuleGroup<BatchTransformationRule> ruleGroup)`
    `void` | `dispose()`
    `static BatchTransformation.BatchTransformationBuilder` | `forEngine(ViatraQueryEngine engine)`
    `static BatchTransformation.BatchTransformationBuilder` | `forScope(EMFScope scope)`
    `Context` | `getContext()`
    `ViatraQueryEngine` | `getQueryEngine()`
    `RuleEngine` | `getRuleEngine()`
    `BatchTransformationRuleGroup` | `getTransformationRuleGroup()` Returns a transformation rule group with all rules of the transformation
    `BatchTransformationStatements` | `getTransformationStatements()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ruleEngine

          protected final RuleEngine ruleEngine

    - #### queryEngine

          protected final ViatraQueryEngine queryEngine

    - #### executor

          protected final IExecutor executor

    - #### context

          protected final Context context

    - #### rules

          protected java.util.Set<BatchTransformationRule<?,?>> rules

  - ### Method Detail

    - #### forScope

          public static BatchTransformation.BatchTransformationBuilder forScope(EMFScope scope)

    - #### forEngine

          public static BatchTransformation.BatchTransformationBuilder forEngine(ViatraQueryEngine engine)

    - #### getTransformationStatements

          public BatchTransformationStatements getTransformationStatements()

    - #### addRule

          public void addRule(BatchTransformationRule rule)

    - #### addRules

          public void addRules(TransformationRuleGroup<BatchTransformationRule> ruleGroup)

    - #### addRules

          public void addRules(BatchTransformationRuleGroup ruleGroup)

    - #### getTransformationRuleGroup

          public BatchTransformationRuleGroup getTransformationRuleGroup()

      Returns a transformation rule group with all rules of the transformation Note: Each call of this method results in a separate rule group that contains the current set of transformation rules in the transformation, it can get stale if the rule set added to this transformation has changed.
      Since:
        2.2

    - #### getRuleEngine

          public RuleEngine getRuleEngine()

    - #### getQueryEngine

          public ViatraQueryEngine getQueryEngine()

    - #### getContext

          public Context getContext()

    - #### dispose

          public void dispose()